#!/bin/sh

# masterlistgen.sh
# Generate the master image list
# This is the backend, it gets called from createlist.sh
# See the file LICENSE in the main distribution for license info
# Written by Matthew Fuller <fullermd@futuresouth.com>

# No config should be needed, this gets called from createlist.sh
# We're going to do this a vaguely hackish way, that's going
# to require multiple transversals of the file tree in question,
# with recursion to isolate the image files

cd $IMAGEDIR
for h in $IM_FILES; do
	for i in `/bin/ls -Rl | grep "$h\$" | awk '{print $9}'`; do
		echo $IMAGEDIR/$i
	done
done
