#!/usr/local/bin/perl
# setconfdir.pl
# Installation utility for bgrot
# See the file LICENSE in the main distribution for license information
# Written by Matthew Fuller <fullermd@futuresouth.com>

$CONFDIR=<>;
chomp $CONFDIR;

@filelist=("background.sh","createlist.sh");


foreach(@filelist) {
	open(SKEL, "$_.skel");
	open(OUT, ">$_");

	foreach(<SKEL>) {
		chomp;
		if(/^\$CONFDIR\=/) {
			$_ = "\$CONFDIR=\"$CONFDIR\"";
		}
		print OUT "$_\n";
	}
	close(SKEL);
	close(OUT);
}
